Get an address Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v2/addresses/{uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • uuid string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • name string
    • address_1 string
    • address_2 string
    • address_3 string
    • address_4 string
    • town_city string
    • county string
    • postcode string
    • country string
    • accounts object
      Hide accounts attributes Show accounts attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • external_references object
        Hide external_references attributes Show external_references attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • third_party

          The third party provider with the reference.

        • reference

          The third party reference.

    • primary_accounts object
      Hide primary_accounts attributes Show primary_accounts attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • external_references object
        Hide external_references attributes Show external_references attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • third_party

          The third party provider with the reference.

        • reference

          The third party reference.

    • moved_in_month integer
    • moved_in_year integer
    • moved_out_month integer
    • moved_out_year integer
    • residential_status string
    • residential_status_other string
    • lived_in_months integer
GET /api/v2/addresses/{uuid}
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/addresses/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "uuid": "e8771d31-b1d7-4ae7-92b6-253be87d6c76",
  "created_at": "2026-07-20T11:19:01+01:00",
  "updated_at": "2026-07-20T11:19:01+01:00",
  "name": "Work Address",
  "address_1": "Suite E, 5 The Briars",
  "address_2": "Waterberry Drive",
  "address_3": "The Innovative Centre",
  "address_4": "Waterlooville",
  "town_city": "Waterlooville",
  "county": "Hampshire",
  "postcode": "PO7 7YH",
  "country": "United Kingdom",
  "accounts": {
    "uuid": "86a0a101-2dd7-4dd4-9052-950ebf76965d",
    "created_at": "2026-07-20T11:19:01+01:00",
    "updated_at": "2026-07-20T11:19:01+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
    "external_references": {
      "uuid": "cd6060ae-aaea-4c72-aeb4-3733aa9dd50e",
      "created_at": "2026-07-20T11:19:07+01:00",
      "updated_at": "2026-07-20T11:19:07+01:00",
      "third_party": "nucleus",
      "reference": "AB123456"
    }
  },
  "primary_accounts": {
    "uuid": "54e0d13f-3821-4e4d-bcda-579e0d17928f",
    "created_at": "2026-07-20T11:19:01+01:00",
    "updated_at": "2026-07-20T11:19:01+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
    "external_references": {
      "uuid": "cd6060ae-aaea-4c72-aeb4-3733aa9dd50e",
      "created_at": "2026-07-20T11:19:07+01:00",
      "updated_at": "2026-07-20T11:19:07+01:00",
      "third_party": "nucleus",
      "reference": "AB123456"
    }
  },
  "moved_in_month": 6,
  "moved_in_year": 2022,
  "moved_out_month": 1,
  "moved_out_year": 2024,
  "residential_status": "homeowner",
  "residential_status_other": "homeowner",
  "lived_in_months": 19
}